<?php
/** ----------------------------------------------------------------------------
 *
 * categories_classic.php
 *
 * WEB-Shop Software http://www.webs.de/
 *
 * -----------------------------------------------------------------------------
 *
 * Released under the GNU General Public License
 *
 * @author Doc Olson (info@it-bites.de)
 * @version $Id: categories_classic.php 1976 2011-02-24 20:32:20Z DocOlson $
 * @copyright 2011 WEB-Shop Software http://www.webs.de/
 *
 * ----------------------------------------------------------------------------- */

$box = new box();
$cache_id = $_SESSION['language'] . $_SESSION['customers_status']['customers_status_id'] . $cPath;

if ( !$box->is_cached('categories.html', $cache_id) ) {
	require_once(DIR_FS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/source/class/categories.php');

	$ct = new categories($cPath, $current_category_id);

	/**
	 * Wieviele Ebenen des Kategoriebaums sollen initial bereits
	 * aufgeklappt sein?
	 */
	$ct->min_level = 1;

	$ct->getCategories();

	/*
	 * Beispiel, um einen beliebigen Link an beliebiger
	 * Stelle in den Kategoriebaum einzuhängen.
	 */
	//$ct->addLink('Home', xtc_href_link('index.php'), 0, 0);

	$box->assign('CATEGORIES', $ct->getOutputHTML());
	$box->assign('MAINCATEGORY', $ct->getMainCategory());
}

$smarty->assign('box_CATEGORIES', $box->fetch('categories.html', $cache_id));

